Skip to main content

Describe Storage Integration (V2)

This operation gets details of a bucket storage integration. The project scope is resolved from the integration ID.

GET/v2/storageIntegrations/{integrationId}
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
integrationIdstringpathrequired

The ID of the storage integration.

Example Value: integ-xxxxxxxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"
export integrationId="integ-xxxxxxxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/storageIntegrations/${integrationId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses

Returns the storage integration details.

A success response.

codeinteger<int32>

Response code.

Example Value: 0
dataobject

Returns the storage integration details.

integrationIdstring

ID of the storage integration.

namestring

Name of the storage integration.

descriptionstring

Description of the storage integration.

statusstring

Status of the storage integration.

messagestring

Status message of the storage integration.

regionIdstring

ID of the region of the storage integration.

bucketNamestring

Name of the integrated storage bucket.

externalCredobject

External cloud credential of the storage integration.

roleArnstring

ARN of the IAM role to assume.

externalIdstring

External ID used when assuming the role.

accountNamestring

Name of the cloud account.

clientIdstring

Client ID of the Azure application.

tenantIdstring

Tenant ID of the Azure directory.

gcpProjectIdstring

ID of the Google Cloud project.

serviceAccountEmailstring

Email of the Google Cloud service account.

createTimestring

Time when the storage integration was created.

A failure response.

codeinteger

Response code.

Example Value: 1800
messagestring

Error message.

Example Value: User hasn't authenticated
Successjson
{
"code": 0,
"data": {
"integrationId": "integ-xxxxxxxxxxxxxxxxxxx",
"name": "analytics-s3",
"description": "S3 bucket for external tables",
"status": "ACTIVE",
"message": "",
"regionId": "aws-us-west-2",
"bucketName": "my-bucket",
"externalCred": {
"roleArn": "arn:aws:iam::123456789012:role/zilliz-bucket-role",
"externalId": "zilliz-external-AbCdEf12345678"
},
"createTime": "2024-07-30T16:49:50Z"
}
}